#include <stdint.h>
#include <bitset>
#include <vector>

namespace{

volatile uint32_t &memory(const uint32_t loc)
{
    return *reinterpret_cast<uint32_t *>(loc);
}

}



extern "C" int32_t dummyFxn(const uint32_t loc){
    auto cnt = 0;
    std::bitset<32> BUT = memory(loc);
    std::vector<bool> VUT = {0};
    if (BUT == 0x01){
        return -1;
    } else {
        for (auto i = 0; i < 32; ++i){
           VUT[i] = BUT[i];
           cnt += 2 * BUT[i] - 1;
        }
    }
    return cnt;
}
